<div class="container">
  <div class="row justify-content-center">
    <div class="col-md-6 col-12">
      <form [formGroup]="form" (ngSubmit)="onSubmit(form.value)">
        <div class="mb-3">
          <label for="name" class="form-label">Name</label>
          <input type="text" class="form-control" id="name" formControlName="name">
        </div>

        <div class="mb-3">
          <label for="departure" class="form-label">Departure date</label>
          <input id="departure" class="form-control" type="date" formControlName="departure">
        </div>

        <div class="mb-3">
          <label for="return" class="form-label">Return date</label>
          <input id="return" class="form-control" type="date" formControlName="return">
        </div>

        <div class="mb-3">
          <label for="departure-city" class="form-label">Departure city</label>
          <input type="text" class="form-control" id="departure-city" formControlName="departureCity">
        </div>

        <div class="mb-3">
          <label for="departure-airport" class="form-label">Departure airport</label>
          <input type="text" class="form-control" id="departure-airport" formControlName="departureAirport">
        </div>

        <div class="mb-3">
          <label for="destination-airport" class="form-label">Destination airport</label>
          <input type="text" class="form-control" id="destination-airport" formControlName="destinationAirport">
        </div>

        <div class="mb-3">
          <label for="destination-city" class="form-label">Destination city</label>
          <input type="text" class="form-control" id="destination-city" formControlName="destinationCity">
        </div>

        <div class="mb-3">
          <label for="destination-hotel" class="form-label">Destination hotel</label>
          <input type="text" class="form-control" id="destination-hotel" formControlName="destinationHotel">
        </div>

        <div class="mb-3">
          <label for="trip-type" class="form-label">Trip type</label>
          <select id="trip-type" class="form-select" formControlName="tripType">
            <option
              *ngFor="let tripType of tripTypes"
              [value]="tripType.value"
            >{{tripType.value}}</option>
          </select>
        </div>

        <div class="mb-3">
          <label for="price-adults" class="form-label">Price for adults</label>
          <input type="text" class="form-control" id="price-adults" formControlName="priceAdults">
        </div>

        <div class="mb-3">
          <label for="price-children" class="form-label">Price for children</label>
          <input type="text" class="form-control" id="price-children" formControlName="priceChildren">
        </div>

        <div class="mb-3">
          <label for="beds-adults" class="form-label">Number of beds for adults</label>
          <input type="text" class="form-control" id="beds-adults" formControlName="bedsAdults">
        </div>

        <div class="mb-3">
          <label for="beds-children" class="form-label">Number of beds for children</label>
          <input type="text" class="form-control" id="beds-children" formControlName="bedsChildren">
        </div>

        <div class="form-check mb-3">
          <input class="form-check-input" type="checkbox" id="promoted" formControlName="promoted">
          <label class="form-check-label" for="promoted">
            Promoted
          </label>
        </div>

        <div class="d-grid">
          <button type="submit" class="btn btn-primary" [disabled]="form.invalid">Submit</button>
        </div>
      </form>
    </div>
  </div>
</div>
